--- title: "Update the CLI Auditing Configuration at the Sensor Level" slug: "update-the-cli-auditing-configuration-at-the-sensor-level-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:08Z published: 2026-11-19T12:57:08Z canonical: "docs.trellix.com/update-the-cli-auditing-configuration-at-the-sensor-level-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update the CLI Auditing Configuration at the Sensor Level This URL updates the CLI auditing configuration at the Sensor level. ### Resource URL PUT /sensor//cliauditing ### Request Parameters URL Parameter | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensorId` | Sensor id | Number | Yes | Payload Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `inheritSettings` | Inherit settings from parent domain | Boolean | Yes | | `enable` | Enable CLI auditing | Boolean | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Set to 1 if the operation was successful | Number | ### Example **Request** PUT [https:///sdkapi/sensor/1001/cliauditing](https://<NSM_IP>/sdkapi/sensor/1001/dxlintegration) **Payload** ``` {        "inheritSettings": false,        "enable": true    } ``` **Response** ```  {       "status":1   } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 400 | 1124 | The Sensor is inactive | | 3 | 500 | 1001 | Internal server error |